/**
 * @file
 * @brief 方形スプライト属性クラスの実装を行う.
 * 
 * @author S.F.
 * @version $Id:
 *
 * Copyright (C) 2000-2002 Satoshi Fujiwara. All Rights Reserved.*/
// メモリーリーク検出用
#include "sfdebug.h"

#include <string>
#include "stdio.h"

#include "system.h"
#include "console.h"


#include "Obj.h"
#include "Obj2D.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#include "ObjRectangle.h"

//////////////////////////////////////////////////////////////////////
// 構築/消滅
//////////////////////////////////////////////////////////////////////
using namespace sf::system::console;

ObjRectangle::ObjRectangle()
{
	mColor = 0;
	mSpecular = 0;
	Obj::List::insertObj(this);

}

ObjRectangle::~ObjRectangle()
{
  	Obj::List::deleteObj(this);

}
